# $Revision: 1.29 $, $Date: 2011/02/11 10:28:03 $
#
# Conditional build:
%bcond_with	autodeps	# BR packages needed only for resolving deps

%include	/usr/lib/rpm/macros.perl
Summary:	PLD Linux script to create RPMS from CPAN modules
Summary(pl.UTF-8):	Skrypt PLD tworzący pakiety RPM z modułów z CPAN
Name:		pldcpan
Version:	1.61
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	%{name}.pl
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-tools-pod
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps}
BuildRequires:	perl-Archive-Any
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-File-Iterator
BuildRequires:	perl-IO-String
BuildRequires:	perl-IPC-Run
BuildRequires:	perl-Module-CoreList
BuildRequires:	perl-Pod-Tree
BuildRequires:	perl-Template-Toolkit
BuildRequires:	perl-YAML >= 0.68
%endif
Requires:	perl-Data-Dump
Requires:	perl-Encode
Requires:	perl-libwww
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pldcpan creates RPMs from CPAN archives, automating the locating, spec
file creation.

%description -l pl.UTF-8
pldcpan tworzy pakiety RPM z archiwów CPAN automatyzując odnajdywanie
modułu i tworzenie pliku spec.

%prep
%setup -qcT
# make sure we have the version we claim to have, fail otherwise
ver=$(%{__perl} -MExtUtils::MM_Unix -e 'print ExtUtils::MM_Unix->parse_version(shift)' %{SOURCE0})
if [ "$ver" != "%{version}" ]; then
	: Update Version to $ver, and retry
	exit 1
fi
install -p %{SOURCE0} .

%build
pod2man -c "" pldcpan.pl > pldcpan.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p pldcpan.pl $RPM_BUILD_ROOT%{_bindir}/pldcpan
cp -a pldcpan.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pldcpan
%{_mandir}/man1/pldcpan.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pldcpan.spec,v $
Revision 1.29  2011/02/11 10:28:03  lisu
- very large cosmetics

Revision 1.28  2010/10/29 09:30:23  glen
- 1.60

Revision 1.27  2010/02/19 21:41:58  glen
- YAML >= 0.68 for YAML::Any

Revision 1.26  2010/02/15 11:40:46  radek
- version 1.59: BR: perl-Module-Build automatically
- minor tweaks

Revision 1.25  2009/08/18 20:01:32  adamg
- updated to 1.58

Revision 1.24  2008/10/29 20:40:51  glen
- add manual page

Revision 1.23  2008/10/13 23:13:51  glen
- uses Encode.pm

Revision 1.22  2008/10/13 23:11:51  glen
- 1.53: only visible code change is: include TODO.txt

Revision 1.21  2008-01-10 08:41:04  glen
- rel 2 (1 for ac)

Revision 1.20  2008-01-10 08:40:41  glen
- pass CC to make

Revision 1.19  2008-01-04 12:21:15  glen
- rel 2 (1 for ac)

Revision 1.18  2007-11-10 22:27:07  twittner
- up to 1.49

Revision 1.17  2007/05/20 15:12:48  radek
- version 1.46

Revision 1.16  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.14  2006/12/22 11:42:37  qboosh
- no autodeps in Th

Revision 1.13  2006/12/22 11:41:52  qboosh
- let spec contain a hint about required packages

Revision 1.12  2006/07/27 16:31:06  glen
- update to 1.39

Revision 1.11  2006/05/24 08:04:15  glen
- version 1.38; rel 1 (it's best you can get)

Revision 1.10  2006/04/06 23:03:17  glen
- fullload of deps (hey, this is devel package!)

Revision 1.9  2005/11/15 19:43:42  migo
- up to 1.32

Revision 1.8  2005/11/14 14:25:25  radek
- 1.31, simplified, added version checking + BR: EU::MM

Revision 1.7  2005/11/14 13:29:04  glen
- 1.30

Revision 1.6  2005/09/13 11:10:39  qboosh
- unified

Revision 1.5  2005/09/13 11:03:18  glen
- BR rpm-perlprov

Revision 1.4  2005/07/19 22:42:37  glen
- rel 1

Revision 1.3  2005/07/07 16:42:35  qboosh
- more complete pl

Revision 1.2  2005/07/06 09:59:46  spider
- pl

Revision 1.1  2005/07/06 04:55:58  glen
- package it, so one doesn't have to manually think of it dependencies
